import 'package:crab_test_package_001/data/words_list.dart';
import 'package:crab_test_package_001/words/friends_words_cell.dart';
import 'package:flutter/material.dart';

class FriendsBubble extends StatelessWidget {
  static const double ThisWidth = 68;
  static const double ThisHeight = 50;
  static const double ImageWidth = 58;

  final double _bubbleY;
  final String _word;
  final bool _isBubbleHind;
  final Image? _imageBubble;

  const FriendsBubble(
      {Key? key,
      Image? imageBubble,
      required double bubbleY,
      required String word,
      required bool isBubbleHind})
      : _imageBubble = imageBubble,
        _bubbleY = bubbleY,
        _word = word,
        _isBubbleHind = isBubbleHind,
        super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment(0, _bubbleY),
      width: FriendsBubble.ThisWidth,
      height: listWords.length * FriendsWordsCell.CellHeight -
          FriendsWordsCell.CellHeight +
          FriendsBubble.ThisHeight,
      child: _isBubbleHind
          ? Container()
          : SizedBox(
              width: FriendsBubble.ImageWidth,
              height: FriendsBubble.ThisHeight,
              child: Stack(
                children: [
                  _imageBubble ??
                      Image.asset(
                        'images/bubble.png',
                        package: "crab_test_package_001",
                      ),
                  Container(
                    alignment: Alignment.center,
                    width: FriendsBubble.ThisHeight,
                    height: FriendsBubble.ThisHeight,
                    child: Text(
                      _word,
                      style: const TextStyle(
                        color: Colors.white,
                        fontSize: 20,
                      ),
                    ),
                  ),
                ],
              ),
            ),
    );
  }
}
